MD5(1)

NAME
md5 - calculate a message-digest fingerprint (checksum) for a file

SYNOPSIS
md5 [-pqrtx] [-s string] [file ...]

DESCRIPTION
The md5 utility takes as input a message of arbitrary length and produces as output a “fingerprint” or “message digest” of the input. It is conjectured that it is computationally infeasible to produce two messages having the same message digest, or to produce any message having a given prespecified target message digest. The MD5 algorithm is intended for digital signature applications, where a large file must be “compressed” in a secure manner before being encrypted with a private (secret) key under a public-key cryptosystem such as RSA.

MD5's designer Ron Rivest has stated "md5 and sha1 are both clearly broken (in terms of collision-resistance)". So MD5 should be avoided when creating new protocols, or implementing protocols with better options. SHA256 and SHA512 are better options as they have been more resilient to attacks (as of 2009).

The following options may be used in any combination and must precede any files named on the command line. The hexadecimal checksum of each file listed on the command line is printed after the options are processed.

-s string
    Print a checksum of the given string.

-p  Echo stdin to stdout and append the checksum to stdout.

-q  Quiet mode - only the checksum is printed out. Overrides the -r option.

-r  Reverses the format of the output. This helps with visual diffs. Does nothing when combined with the -ptx options.

-t  Run a built-in time trial.

-x  Run a built-in test script.

EXIT STATUS
The md5 utility exits 0 on success, and 1 if at least one of the input files could not be read.

SEE ALSO
cksum(1), md5(3), ripemd(3), sha(3), CC_SHA256_Init(3) Vlastimil Klima, Finding MD5 Collisions - a Toy For a Notebook, Cryptology ePrint Archive: Report 2005/075.

ACKNOWLEDGMENTS
This program is placed in the public domain for free general use by RSA Data Security.